
QGIS Application - Bug report #14020

DB Manager and Browser cannot delete materialized views

2015-12-21 01:25 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22033

Description

DB Manager:

"t1" is not a view

HINT:  Use DROP MATERIALIZED VIEW to remove a materialized view.

Browser:

Unable to delete layer "dados"."t1": 

ERROR:  "t1" is not a table

HINT:  Use DROP MATERIALIZED VIEW to remove a materialized view.

CONTEXT:  SQL statement "DROP TABLE IF EXISTS dados.t1 RESTRICT" 

PL/pgSQL function dropgeometrytable(character varying,character varying,character varying) line 15 at EXECUTE statement

Related issues:

Duplicates QGIS Application - Bug report # 13829: DB Manager - "Materialized ... Closed 2015-11-14

History

#1 - 2015-12-22 12:09 PM - Paul Kanelli

See also #13829

#2 - 2015-12-23 01:10 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
